Subject: Re: bug#18241: 24.4.50; [PATCH] I can now highlight-lines-matching-regexp from isearch

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 26 Jun 2019 00:32:03 +0200

Dima Kogan <[email-masked]> writes:

> Before this patch it was possible to 'M-s h r' during an isearch to
> highlight the regexp being sought. This patch adds similar functionality
> for matching lines with 'M-s h l'. This patch moves the previous 'M-s h
> r' isearch functionality into a macro, and then calls this macro
> separately for the regex and line cases.

Hm...  Is that a feature that would be used a lot?  It's a somewhat
awkward interface and keystroke, I think.

But here's some comments on the code:

> +(defmacro isearch--hi-lock (hi-lock-form)
> +  "Backend for isearch-highlight-*. Does all the setup work, and
> +evaluates the given `hi-lock-form' to actually invoke the
> +highlighting function"

[...]

> +       (eval ,hi-lock-form))

I think this should be a function that should just take a function to
call that takes the parameters required.

And if this is something we want, it needs a NEWS entry and
documentation updates.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no